TIME_SECOND(9)

NAME
time_second, time_uptime - system time variables

SYNOPSIS
extern volatile time_t time_second;
extern volatile time_t time_uptime;

DESCRIPTION
The time_second variable is the system's “wall time” clock. It is set at boot by inittodr(9), and is updated by the settimeofday(2) system call and by periodic clock interrupts.

The time_uptime variable is a monotonically increasing system clock. It is set at boot, and is updated by the periodic timer interrupt. (It is not updated by settimeofday(2).)

All of these variables contain times expressed in seconds since midnight (0 hour), January 1, 1970.

Clock interrupts should be blocked when reading or writing time_second or time_uptime, because those variables are updated by hardclock(9).

SEE ALSO
settimeofday(2), hardclock(9), hz(9), inittodr(9), microtime(9)